## cvsweb 3.0.6

=== debian/changelog ===
cvsweb (3:3.0.6-9) unstable; urgency=medium

  [ наб ]
  * Vcs-Git: https://salsa.debian.org/debian/cvsweb.git

  [ Jing Luo ]
  * d/control: upgrade standards version to 4.7.0
  * d/control: upgrade debhelper-compat to 13
  * d/control: change the homepage url to cvsweb.bsd.lv
  * New maintainer (Closes: #660684, #1054260)
  * d/watch: fix the url to upstream
  * d/copyright: rewrite in DEP 5 format
  * d/gbp.conf: add a gbp.conf
  * d/patches: add more DEP 3 headers
  * add a patch to fix a non-unicode char in cvsweb.conf and cvsweb.cgi
  * drop a perl 5.10 patch not needed
  * d/rules: remove --parallel because it's the default since debhelper 10
  * add a lintian-overrides file for source
  * add upstream metadata

 -- Jing Luo <jing@jing.rocks>  Tue, 11 Feb 2025 05:15:52 +0900

cvsweb (3:3.0.6-8.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 14:51:54 +0100

cvsweb (3:3.0.6-8) unstable; urgency=medium

  * debian/control (Vcs-Browser, Vcs-Svn): Relocated to collab-maint.
    (DM-Upload-Allowed): Obsolete and dropped.
  * debian/patches/733054_perl_518.patch: Added (closes: #733054).
    - Added Perl 5.18 compatibility and fixed errors.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 17 Feb 2015 18:56:37 +0100

cvsweb (3:3.0.6-7) unstable; urgency=low

  * debian/control: Added Vcs-Svn field.
    (Section): Moved into vcs section.
    (Vcs-Browser): Updated URL (closes: #638469).
    (Standards-Version): Bumped to 3.9.2.
    (Suggests): Added zip for archive creation.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 27 Oct 2011 23:32:09 +0200

cvsweb (3:3.0.6-6) unstable; urgency=low

  * debian/compat: Bumped to level 7.
  * debian/control: Added Vcs-Browser.
    (Build-Depends): Dropped dpatch. Bumped dh to version 7.
    (Standards-Version): Bumped to 3.9.1.
    (Depends): Fixed debhelper-but-no-misc-depends. Dropped obsolete or-ed
    dependency on libmime-perl and fixed ored-depends-on-obsolete-package.
  * debian/cvsweb.1: Renamed to debian/cvsweb.7 and moved into section 7.
  * debian/copyright: Fixed copyright-refers-to-deprecated-bsd-license-file
    and removed the reference to the BSD license.
  * debian/cvsweb.manpages: Adjusted.
  * debian/rules: Rewritten for dh 7.
  * debian/NEWS: Fixed debian-news-entry-uses-asterisk.
  * debian/patches/: Transition to quilt.
  * debian/source/format: Transition to 3.0 quilt.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 07 Aug 2010 14:21:42 +0200

cvsweb (3:3.0.6-5) unstable; urgency=low

  * debian/patches/13_488109_nicer_css.dpatch: Added.
    - css/cvsweb.css: Align icons and text to look nicer. Improve headline in
      diff page (closes: #488109). Thanks to Joey Schulze.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 13 Jul 2008 14:18:55 +0200

cvsweb (3:3.0.6-4) unstable; urgency=low

  * debian/control (Depends): libmime-perl is a transitional package - added
    libmime-tools-perl.
    (Suggests): Added optional libmime-types-perl and libcompress-zlib-perl.
  * debian/copyright: Updated.
  * debian/cvsweb.1: Added information about per-cvsroot configuration file
    and fixed the configuration file path.
  * debian/patches/10_483442_fix_perl_510_test_failure.dpatch: Added.
    - cvsweb.cgi (search_path): Revert test order as a quick and dirty fix for
      the test failing with Perl 5.10 (closes: #483442).
  * debian/patches/11_484158_fix_scriptwhere_initialization.dpatch: Added.
    - cvsweb.cgi: scriptwhere should be itialized (closes: #484158). Thanks to
      Joey Schulze.
  * debian/patches/12_484159_fix_character_in_c_format_wrapped.dpatch: Added.
    - cvsweb.cgi (TIEHANDLE): Fix template format for gzip header (closes:
      #484159). Thanks to Joey Schulze.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 03 Jun 2008 01:57:25 +0200

cvsweb (3:3.0.6-3) unstable; urgency=low

  * debian/control: Added DM-Upload-Allowed.
    (Standards-Version): Raised to 3.7.3 (no other changes).
  * debian/copyright: Fixed encoding. Thanks to lintian.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 22 Feb 2008 17:14:07 +0100

cvsweb (3:3.0.6-2) unstable; urgency=low

  * debian/changelog: Fixed lintian warnings possible-missing-colon-in-closes.
  * debian/compat: Raised compat level to 5.
  * debian/control: Homepage field transition.
    (Build-Depends): Raised debhelper version dependency.
    (Depends): Replaced apache with apache2.
  * debian/cvsweb.1: Markup fixes.
  * debian/cvsweb.dirs: Removed directories created via dh_install.
  * debian/cvsweb.links: Removed symlink in /var/www accordingly to the
    Webapps Policy Manual section 3.1.
  * debian/cvsweb.preinst: Parsing of dpkg status file is considered harmful.
    Replacing this with a dpkg-query call. Thanks to Guillem Jover for
    bringing this up.
  * debian/watch: Use a more general location.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 26 Sep 2007 22:53:35 +0200

cvsweb (3:3.0.6-1) unstable; urgency=low

  * New upstream release 3.0.6 (closes: #338996).

  [ Daniel Leidert ]
  * New maintainer (closes: #372622).
  * debian/changelog: Changed to UTF-8 (solves lintian error).
  * debian/control: Change to latest standards version 3.7.2. Fixed short
    description. Removed dpkg-dev and debmake from build-dependencies in
    accordance to http://lists.debian.org/debian-devel/2005/12/msg01428.html
    (closes: #372992). Added dpatch and moved debhelper to build dependencies.
  * debian/copyright: Updated copyright info.
  * debian/rules: Completely rewritten. Makes use of various debhelper scripts
    and dpatch etc. to ease build process and remove debmake and dpkg-dev
    build dependencies.

