=== debian/control ===
Source: cvsweb
Maintainer: Jing Luo <jing@jing.rocks>
Section: vcs
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://cvsweb.bsd.lv/
Vcs-Browser: https://salsa.debian.org/debian/cvsweb
Vcs-Git: https://salsa.debian.org/debian/cvsweb.git
Rules-Requires-Root: no

Package: cvsweb
Architecture: all
Depends: ${misc:Depends}, apache2 | httpd, cvs, rcs, libipc-run-perl, libmime-tools-perl, liburi-perl
Suggests: cvsgraph, enscript, libmime-types-perl, libcompress-zlib-perl, zip
Description: CGI interface to your CVS repository
 cvsweb is a WWW CGI script that provides remote access to your CVS
 repository. It allows browsing of the full tree, with configurable
 access controls. It will display the revision history of a file, as
 well as produce diffs between revisions and allow downloading any
 revision of the whole file.
