=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = cvsweb

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	dh_install
	# things, dh_install can't do:
	mv debian/$(PACKAGE)/usr/lib/cgi-bin/cvsweb.cgi \
		debian/$(PACKAGE)/usr/lib/cgi-bin/cvsweb
	chmod 755 debian/$(PACKAGE)/usr/lib/cgi-bin/cvsweb
