=== debian/watch ===
version=4
https://cvsweb.bsd.lv/release/cvsweb-([\d\.]+)\.tar\.gz
