## cvsweb 109

=== debian/changelog ===
cvsweb (2:109) stable; urgency=low

  * Looks like stable is vulnerable after all to the security hole I found.
    This closes all exploitable pipe-opens. Please install ASAP.

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Jul 2000 22:58:03 -0700
