=== debian/control ===
Source: cvsweb
Section: devel
Priority: extra
Maintainer: Karl M. Hegbloom <karlheg@debian.org>
Standards-Version: 2.4.0.0

Package: cvsweb
Architecture: all
Depends: httpd, perl, cvs
Description: A CGI interface to your CVS repository.
 `cvsweb' is a WWW CGI script that provides remote access to your CVS
 repository.  It allows browsing of the full tree, with configurable
 access controls.  It will display the revision history of a file, as
 well as produce diffs between revisions and allow downloading the
 whole file, whatever revision you choose.
