=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

all:
	echo "Nope.  You must specify a target."

INSTALL = /usr/bin/install
SHELL = /bin/sh

DH_VERBOSE=0

export SHELL DH_VERBOSE

GIFS = $(wildcard icons_and_logos/*.gif)

D = debian/tmp

cvsweb_version = $(shell dpkg-parsechangelog 2>/dev/null \
                   | sed -n -e 's/^Version: \([[:digit:]]\+:\)*\(.*\)$$/\2/p')

define check_cvs_status
	@echo "Checking CVS status for uncommited changes..."
	@if expr $$(cvs status 2>/dev/null	\
		     | grep '^File:'		\
	             | grep -vc 'Up-to-date')	\
           '>' 0;				\
	then					\
	   echo "There are uncommited changes."; \
	   exit 1;				\
	else					\
	   exit 0;				\
	fi
endef

retag:
	$(check_cvs_status)
	-cvs tag -d upstream_version_$(subst .,_,$(cvsweb_version))
	-cvs tag -d debian_version_$(subst .,_,$(cvsweb_version))
	cvs tag upstream_version_$(subst .,_,$(cvsweb_version))
	cvs tag debian_version_$(subst .,_,$(cvsweb_version))

release:
	$(check_cvs_status)
	cvs-buildpackage -rsudo

.PHONY:	 retag release

# --------------------------------------------------------------
build-stamp:
	touch build-stamp

build: build-stamp
	sed -e 's/@cvsweb_version@/$(cvsweb_version)-DEB/' < cvsweb.in > cvsweb

clean:
	dh_testdir
	dh_testroot
	rm -f cvsweb
	dh_clean build-stamp

binary-indep: build $(GIFS)
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(INSTALL) --owner=root --group=root --mode=0755 cvsweb      $(D)/usr/lib/cgi-bin/
	$(INSTALL) --owner=root --group=root --mode=0644 cvsweb.conf $(D)/etc/
	$(INSTALL) --owner=root --group=root --mode=0644 $(GIFS)     $(D)/usr/doc/cvsweb/
	dh_installdocs README
	dh_undocumented
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
	true

binary: binary-indep

.PHONY: clean build binary-indep binary
